#include <iostream>
#include <bits/stdc++.h>
#define endl '\n';
using namespace std;
typedef long long ll;
typedef pair<int,int> pii;
typedef vector<int> v;
typedef vector<long long> vll;
typedef vector<long long int> vlli;

void res() {
    int n,m, rs(0);
    cin>>n>>m;
    int maxnm = n>m?n:m;
    int a[maxnm][maxnm][1];
    int uk=0;
    for(int j=0;j<m;++j) {
        for(int i=0;i<n;++i) {
            cin>>a[j][i][0];
            uk+=a[j][i][0];
        }
    }
    bool prosao[maxnm][maxnm];
    int pozh(0), pozv(0);
    cout<<uk/2+2<<endl;
}

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    cout.tie(nullptr);
    res();
    return 0;
}